Bug 258797 - Multicaret: Put all multicaret actions into separate keymap category for better visibility
Multicaret: Put all multicaret actions into separate keymap category for bett...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
8.2
PC Windows 7
: P3 (vote)
: 8.2
Assigned To: markiewb
issues@editor
: NETFIX
Depends on: 171261
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-12 22:20 UTC by markiewb
Modified: 2016-07-23 01:51 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows the proposal (87.27 KB, image/png)
2016-04-12 22:20 UTC, markiewb
Details
Shows fixed state (11.00 KB, image/png)
2016-07-21 21:39 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2016-04-12 22:20:47 UTC
Created attachment 159239 [details]
Shows the proposal

ACTUAL: some multicaret actions are in category "editor", some in "others"

EXPECTED: all multicaret actions are a separate keymap category "Editor (Multicaret)" for better visibility
Comment 1 markiewb 2016-04-14 19:52:42 UTC
How to set the category is documented at http://wiki.netbeans.org/DevFaqHowToDefineTheKeyMapCategoryForAnAction
Comment 2 markiewb 2016-07-21 21:39:12 UTC
Fixed. Category is "Edit (Multicaret)". See screenshot

http://hg.netbeans.org/core-main/rev/95ad6f0fcf55
Comment 3 markiewb 2016-07-21 21:39:30 UTC
Created attachment 161375 [details]
Shows fixed state
Comment 4 Quality Engineering 2016-07-23 01:51:28 UTC
Integrated into 'main-silver', will be available in build *201607230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/95ad6f0fcf55
User: Benno Markiewicz <markiewb@netbeans.org>
Log: #258797 - Multicaret: Put all multicaret actions into separate keymap category "Edit (Multicaret)" for better visibility

Based on documentation at http://wiki.netbeans.org/DevFaqHowToDefineTheKeyMapCategoryForAnAction#Keymap_category_for_.40EditorActionRegistration


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo